kdesu(1)

kdesu - Executa un programa amb privilegis elevats

kdesu [-c ordre] [-d] [-f fitxer] [-i nom icona] [-n] [-p prioritat] [-r] [-s] [-t] [-u usuari] [--noignorebutton] [--attach winid]

kdesu [Opcions genèriques del KDE] [Opcions genèriques de les Qt(TM)]

Descripció

El KDE su és un frontal gràfic de l'entorn d'escriptori K per a l'ordre su d'UNIX®. Aquest us permetrà executar un programa com a un usuari diferent indicant la contrasenya per a aquest usuari. El KDE su és un programa sense privilegis; aquest empra el sistema de su.

El KDE su disposa d'una característica addicional: Aquest pot recordar les contrasenyes. Si esteu emprant aquesta característica, tan sols us caldrà introduir la contrasenya una vegada per a cada ordre.

Aquest programa està principalment dissenyat per a ser executat des de la línia d'ordres o des de fitxers .desktop.

Atès que el kdesu no s'instal⋅la més a $(kf5-config --prefix)/bin sinó a kf5-config --path libexec i aquest no es troba a la vostra Path, haureu d'utilitzar $(kf5-config --path libexec)kdesu per a iniciar el kdesu.

Opcions

-c ordre
    Especifica l'ordre a executar com a root. Aquesta se li ha d'especificar com a un únic argument. De manera que, per exemple, si voleu executar un nou gestor de fitxers, haureu d'introduir a l'indicador: $(kf5-config --path libexec) kdesu -c Dolphin

-d
    Mostra la informació de depuració.

-f fitxer
    Aquesta opció permet un ús eficient del KDE su en els fitxers .desktop. Li indica al KDE su que examini el fitxer especificat per fitxer. Si aquest fitxer és d'escriptura per a l'usuari actual, el KDE su executarà l'ordre com a aquest usuari. Si no fos d'escriptura, l'ordre seria executada com a l'usuari usuari (de manera predeterminada el root).

    El paràmetre fitxer s'avalua de la manera següent: si fitxer comença per /, es pren com a un nom de fitxer absolut. D'altra manera, es pren com al nom d'un fitxer de configuració global del KDE.

-i nom icona
    Especifica la icona a utilitzar en el diàleg de contrasenya. Podeu especificar el nom sense cap extensió.

-n
    No demana la contrasenya. Això inhabilita la casella de selecció Conserva la contrasenya al diàleg de la contrasenya.

-p prioritat
    Estableix el valor de la prioritat. La prioritat és un número arbitrari entre 0 i 100. El valor predeterminat és 50.

-r
    Utilitza una planificació en temps real.

-s
    Atura el dimoni kdesu. Aquest és el dimoni que manté el cau de contrasenyes validades, tot en segon pla. Aquesta característica també es pot inhabilitar amb l'opció -n quan s'inicia l'execució del KDE su.

-t
    Habilita l'eixida de terminal. També inhabilita el requisit de la contrasenya. És molt recomanable per a la finalitat de depuració, si voleu executar una aplicació en mode consola, en comptes d'aquest, empreu el su estàndard.

-u usuari
    L'ús més comú per al KDE su és executar una ordre com a superusuari, tot i que se li pot indicar un nom d'usuari i la contrasenya apropiada.

--noignorebutton
    No mostra el botó d'ignorar.

--attach winid
    Fa el diàleg transitori per a una aplicació X especificada amb «winid».

Vegeu també

su(1)

Hi ha documentació d'usuari més detallada a help:/kdesu (podeu emprar aquest URL al Konqueror o bé executar khelpcenter help:/kdesu).

Exemples

Executar el kfmclient com a usuari jim, i es mostrarà la icona del Konqueror en el diàleg de contrasenya:

    $(kf5-config --path libexec)kdesu -u jim -i konqueror kfmclient

Autors

El KDE su ha estat escrit per en Geert Jansen <g.t.jansen@stud.tue.nl> i en Pietro Iglio <iglio@fub.it>.

Lauri Watts <lauri@kde.org>